function [X,Y]=ortog(X1,Y1)

disp('This is a subroutine of the main routine invnumrange_algorithmB.m');
disp('This routine make the computation of two 1xn orthonormal vectors');
disp('We use the orthonormalization process of Gram-Schmidt');
disp(' ');
disp('Programmers:')
disp('Ana Nata (Polytechnic Institute of Tomar, Portugal)')
disp('e-mail: anata@ipt.pt')
disp('J.P. da Providncia (University of Beira Interior, Covilh, Portugal)') 
disp('e-mail: joaodaprovidencia@daad-alumni.de')
disp('Based on a joint work with Natlia Bebiano and J. da Providncia')
disp('University of Coimbra, Portugal')
disp(' ');
disp('December 2013')
disp(' ');

%%
%Gram-Schmidt's orthogonalization process
X1linha=X1';
Y2=Y1-(X1linha*Y1)*X1/(X1linha*X1);

%Normalization
X=X1*(1/sqrt(X1linha*X1));
Y=Y2*(1/sqrt(Y2'*Y2));